$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.167.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.167.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'F6F54838C3D3C52ABAF26F93E68FE09F8703654EDF63F42E9025E97F850853C7'
  checksumType = 'sha256'
  checksum64 = 'F6F54838C3D3C52ABAF26F93E68FE09F8703654EDF63F42E9025E97F850853C7'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.167-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
